# Generated from beowulf-ruby-0.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name beowulf-ruby

Name: rubygem-%{gem_name}
Version: 0.0.3
Release: 1%{?dist}
Summary: Beowulf RPC Ruby Client
License: MIT
URL: https://github.com/beowulf-foundation/beowulf-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.10
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest) >= 5.10.3
# BuildRequires: rubygem(minitest-line) >= 0.6.3
# BuildRequires: rubygem(minitest-line) < 0.7
# BuildRequires: rubygem(minitest-proveit) >= 1.0
# BuildRequires: rubygem(minitest-proveit) < 2
# BuildRequires: rubygem(minitest-proveit) >= 1.0.0
# BuildRequires: rubygem(webmock) >= 3.6
# BuildRequires: rubygem(webmock) < 4
# BuildRequires: rubygem(webmock) >= 3.6.0
# BuildRequires: rubygem(simplecov) >= 0.17.0
# BuildRequires: rubygem(simplecov) < 0.18
# BuildRequires: rubygem(vcr) >= 5.0
# BuildRequires: rubygem(vcr) < 6
# BuildRequires: rubygem(vcr) >= 5.0.0
# BuildRequires: rubygem(yard) >= 0.9.20
# BuildRequires: rubygem(yard) < 0.10
# BuildRequires: rubygem(pry) >= 0.11
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(pry) >= 0.11.3
# BuildRequires: rubygem(rb-readline) >= 0.5
# BuildRequires: rubygem(rb-readline) < 1
# BuildRequires: rubygem(rb-readline) >= 0.5.5
# BuildRequires: rubygem(irb) >= 1.0
# BuildRequires: rubygem(irb) < 2
# BuildRequires: rubygem(irb) >= 1.0.0
BuildArch: noarch

%description
Beowulf-ruby is the official Beowulf library for Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/beowulf.gemspec

%changelog
* Sun Sep 12 2021 mockbuilder - 0.0.3-1
- Initial package
